## fweb 1.60beta

=== Web/Makefile ===

# --- FWEB MAKE FILE (v. 1.60) ---

# Unix users should first type ``./configure'' for compiling a new version.
# See the more detailed instructions below.

# PLEASE REPORT ANY DIFFICULTIES WITH USING THIS MAKE FILE OR WITH ANY
# OTHER ASPECT OF COMPILING OR RUNNING FWEB:  krommes@princeton.edu.

# You should PREFACE ALL MAJOR OPERATIONS with

#	make -n ...

# This tells you what will happen without actually performing the operations.


# --- PRINCIPAL ENTRY POINTS ---

# The principal entry points to this make file can be determined by saying
# ``make help''.  (See the help: target below.)


# BEFORE USING THIS MAKE FILE: 

#    (1) If you are a Unix user, do the following:

#		cd web
#		./configure [--prefix=path] [--exec-prefix=path]
# (This generates the following files appropriate to your system:
#	defaults.mk from defaults.mk.in;
#	config.h from config.h.in;
#	custom.h from custom.h.in.)

#		make
# (log on as root)		
#		make install

# If you are not a Unix user, DO NOT PROCEED for v1.50 or above, as the 
# following system-specific bootstrap procedures have not been tested and 
# upgraded for this version.

#    (2) Select a boot subdirectory (containing system-specific files) most
# relevant to your machine; call that $(BOOT_D).  For example, 
# BOOT_D = boot/unix/ansi.

#    (3) Copy $(BOOT_D)/defaults.mk to the web subdirectory.

#    (4) Verify the system-specific definitions in defaults.mk.  An example
# of defaults.mk is provided in each bootstrap subdirectory.  The possible
# things that you may put into defaults.mk are discussed in 
# $(MANUAL)/INSTALL_FWEB.tex.

#    (4) Copy $(BOOT_D)/custom.h to the web subdirectory.  This file
# contains definitions of various machine- or operating-system-dependent
# flags.  It will be included into the *.c files by the C compiler.


# --- INCLUDING FILES into the Makefile ---

# The file defaults.mk customizes the operation of Makefile for your
# compiler environment.
# NOTE: Not all makes include files in identical ways; you may need to
# modify the next line:

include defaults.mk # Unix
# ! include "defaults.mk" # Borland/Microsoft


# --------------------- DON'T TOUCH LINES BELOW HERE!!! --------------------

# Experts will note that this file sometimes doesn't use the full power of
# make (let alone gmake). This is because some of the makes on the personal
# computers didn't work correctly with some of the more sophisticated commands.

# Here we set up the command-line options for the FWEB processors.  Those
# options are as follows:

# COMPILER --- Either CC or GCC.  Presently only GCC is relevant, and then
#			only for the Sun.
# FILE --- Should more properly be called PATH.  The directory
#			specification for the output file.
# HOME_MACHINE --- The machine on which you're tangling.  See custom.web or
# 			custom.h for a list of the possible macros to use here.
# MACHINE --- The machine for which you're generating C code.

# DEBUGGING --- Used by the developer.
# STAT --- Optional additional commands, e.g., the statistics option -s;
#		sometimes used by the developer.
# UNDEF --- Used by the developer.
#
# You can override  macros such as MACHINE and FILE from the command line,
# in the form, e.g.,
#	make MACHINE=SGI FILE="$HOME/fweb/v1.1/unix/sgi"

UNDEF =
DEBUGGING =
STAT =

# In $(OPTIONS), 
# the -u option is used to cancel out a possible +m command in the .fweb
# ini file. For the use of CUSTOM_OPTIONS, see custom.web. 
# To kill off line numbers, say ``STAT = -\#'' for many makes, or 
# ``STAT = -^#'' for the Microsoft nmake.

OPTIONS = -u$(HOME_MACHINE) -m$(MACHINE) $(DEBUGGING)\
	 $(UNDEF) -m$(COMPILER) $(STAT) -=$(FILE)$(@)

# Other upper-case macros, such as OS_HWEB, are used to express hidden
# dependencies because of files that are @i'd or #included.

# For more discussion of the various files, please see INSTALL_FWEB.tex.

# Set up the directory macros.  (top_srcdir and srcdir should be set in
# defaults.mk.  If they are not, one must say `top_srcdir=..', `srcdir=.')

# --- Top-level--- 
FWEB0 = $(top_srcdir)

# --- The bootstrap directory tree ---
BOOT = $(FWEB0)/Boot

# --- Where the demo programs are kept ---
DEMOS = $(FWEB0)/Demos

# --- Where the user manual and fwebmac.sty are kept ---
MANUAL = $(FWEB0)/Manual

# --- Where *.web, *.hweb, *.c, and *.h are kept ---
WEB = $(srcdir)

# If you just say ``make'' or ``make bootstrap'', the source files are
# touched first so they're sure to be newer than the web files.  If you don't
# have a 'touch' facility, try saying ``make -t ...'' 
all bootstrap boot: tch_src both $(MANUAL)/fweb.info

tch_src:
	$(TOUCH) $(WEB)/typedefs.hweb $(WEB)/*.h $(WEB)/*.c 

# --- This entry makes both FWEB processors from the FWEB sources. ---
both: ftangle fweave

# --- The ``make bootstrap'' command assumes that the WEB files are there.
# However, if you're just compiling you shouldn't need the WEB files.  In the
# absence of a WEB file, the null .DEFAULT command ``rebuilds'' the WEB file.
# Then make will try to invoke ftangle.  That shouldn't be there either,
# but if it is, it will try to tangle a non-existent file.  The .IGNORE
# command tells make to continue anyway; then it will just compile.  
# (Unfortunately, these commands don't work with all makes, so they're
# commented out.)
#.DEFAULT:

#.IGNORE:

# --- Remake things if the make commands themselves change ---
# .KEEP_STATE:

# --- CUSTOMIZATION FILE ---
$(WEB)/custom.h $(WEB)/custom.h.in: $(WEB)/custom.web
	./ftangle $(WEB)/custom $(OPTIONS) $(CUSTOM_OPTIONS) -# -v

# --- EXTRA MACRO FILE ---
$(WEB)/strmac.h: $(WEB)/strmac.web $(WEB)/os.$(HWEB)
	./ftangle $(WEB)/strmac $(OPTIONS)

# --- #INCLUDEs ---
INCLUDES_H = $(WEB)/os.h $(WEB)/config.h $(WEB)/custom.h $(WEB)/strmac.h

D_TYPE_H = $(WEB)/d_type.h $(INCLUDES_H)
Y_TYPE_H = $(WEB)/y_type.h $(INCLUDES_H)
C_TYPE_H = $(WEB)/c_type.h $(Y_TYPE_H) $(D_TYPE_H)

A_TYPE_H = $(WEB)/a_type.h $(INCLUDES_H)
S_TYPE_H = $(WEB)/s_type.h $(A_TYPE_H)

M_TYPE_H = $(WEB)/m_type.h $(INCLUDES_H)
E_TYPE_H = $(WEB)/e_type.h $(C_TYPE_H)
R_TYPE_H = $(WEB)/r_type.h $(C_TYPE_H)
T_TYPE_H = $(WEB)/t_type.h\
		 $(S_TYPE_H) $(R_TYPE_H) $(E_TYPE_H) $(M_TYPE_H)

P_TYPE_H = $(WEB)/p_type.h $(INCLUDES_H)
W_TYPE_H = $(WEB)/w_type.h\
		 $(P_TYPE_H) $(C_TYPE_H) $(S_TYPE_H) $(D_TYPE_H)

TYPEDEFS_H = $(WEB)/typedefs.h $(WEB)/os.h
MAP_H = $(WEB)/map.h $(C_TYPE_H) $(S_TYPE_H)

# --- PORTABILITY ISSUES are mostly localized here. ---
OS_HWEB = $(WEB)/os.$(HWEB) $(WEB)/sfile.$(HWEB) 
INCLUDES_HWEB = $(WEB)/sfile.$(HWEB) $(WEB)/includes.$(HWEB)\
		 $(WEB)/proto.$(HWEB) $(WEB)/time.$(HWEB)
COMMON_HWEB = $(OS_HWEB) $(WEB)/typedefs.$(HWEB) $(WEB)/mem.$(HWEB)

$(WEB)/os.h: $(WEB)/os.web $(INCLUDES_HWEB)
	./ftangle $(WEB)/os $(OPTIONS) -#

# --- The fundamental macro packages: ---
$(WEB)/typedefs.hweb $(WEB)/typedefs.h: $(WEB)/typedefs.web
	./ftangle $(WEB)/typedefs $(OPTIONS) --F -# -=$(FILE)typedefs.h

$(WEB)/map.h: $(WEB)/map.web
	./ftangle $(WEB)/map $(OPTIONS)

# --- COMMON (Routines common to both ftangle and fweave) ---
COMMON = $(INCLUDES_HWEB) $(OS_HWEB)\
		$(WEB)/typedefs.$(HWEB)\
		$(WEB)/mem.$(HWEB) $(WEB)/trunc.$(HWEB) 
COMMON_WEB = $(WEB)/common.web $(COMMON) 

$(WEB)/common.c: $(COMMON_WEB)
	./ftangle $(WEB)/common $(OPTIONS)

C_TYPE_WEB = $(WEB)/c_type.web $(OS_HWEB) 

$(WEB)/c_type.h: $(C_TYPE_WEB)
	./ftangle $(WEB)/c_type $(OPTIONS)

Y_TYPE_WEB = $(WEB)/y_type.web $(OS_HWEB)

$(WEB)/y_type.h: $(Y_TYPE_WEB)
	./ftangle $(WEB)/y_type $(OPTIONS)

COMMON_C = $(WEB)/common.c $(TYPEDEFS_H) $(MAP_H)

COMMONS = common.$(O) $(COMMON2)

commons:  $(COMMONS)

common.$(O): $(COMMON_C)
	$(COMPILE) $(PART1) $(WEB)/common.c		

common2.$(O): $(COMMON_C) 
	$(COMPILE) $(PART2) $(WEB)/common.c		


# --- STYLE (Reading the style file; also needed for both ftangle and
# fweave) --- 
S_TYPE_WEB = $(WEB)/s_type.web

$(WEB)/s_type.h: $(S_TYPE_WEB)
	./ftangle $(WEB)/s_type $(OPTIONS)

STYLE =  $(OS_HWEB) $(INCLUDES_HWEB)\
		 $(WEB)/typedefs.$(HWEB) $(WEB)/mem.$(HWEB)
STYLE_WEB = $(WEB)/style.web $(STYLE)

$(WEB)/style.c: $(STYLE_WEB)
	./ftangle $(WEB)/style $(OPTIONS)

style.$(O): $(WEB)/style.c $(TYPEDEFS_H) $(MAP_H)
	$(COMPILE) $(WEB)/style.c		


# --- TERMCAP (Dummy termcap routines) ---
A_TYPE_WEB = $(WEB)/a_type.web $(OS_HWEB)

$(WEB)/a_type.h: $(A_TYPE_WEB)
	./ftangle $(WEB)/a_type $(OPTIONS)

TERMCAP0_WEB = $(WEB)/termcap0.web 

$(WEB)/termcap0.c: $(TERMCAP0_WEB)
	./ftangle $(WEB)/termcap0 $(OPTIONS)

termcap0.$(O): $(WEB)/termcap0.c $(A_TYPE_H)
	$(COMPILE) $(WEB)/termcap0.c


# --- RESERVED WORDS ---
D_TYPE_WEB = $(WEB)/d_type.web $(OS_HWEB)

$(WEB)/d_type.h: $(D_TYPE_WEB)
	./ftangle $(WEB)/d_type $(OPTIONS)

RESERVED_WEB = $(WEB)/reserved.web $(COMMON_HWEB)

$(WEB)/reserved.c: $(RESERVED_WEB)
	./ftangle $(WEB)/reserved $(OPTIONS)

RESERVED_C = $(WEB)/reserved.c $(TYPEDEFS_H) $(C_TYPE_H)

RESERVES = reserved.$(O) $(RESERVED2)

reserves: $(RESERVES)

reserved.$(O): $(RESERVED_C)
	$(COMPILE) $(PART1) $(WEB)/reserved.c

reservd2.$(O): $(RESERVED_C)
	$(COMPILE) $(PART2) $(WEB)/reserved.c


# --- MACS (Macro processing for ftangle) ---
M_TYPE_WEB = $(WEB)/m_type.web $(OS_HWEB)  

$(WEB)/m_type.h: $(M_TYPE_WEB)
	./ftangle $(WEB)/m_type $(OPTIONS)

MACS = $(COMMON_HWEB) $(WEB)/macs.$(HWEB) $(WEB)/t_codes.$(HWEB)\
		$(WEB)/texts.$(HWEB) $(WEB)/stacks.$(HWEB)\
		$(WEB)/val.$(HWEB) $(WEB)/trunc.$(HWEB)
MACS_WEB = $(WEB)/macs.web $(MACS)  

$(WEB)/macs.c: $(MACS_WEB)
	./ftangle $(WEB)/macs $(OPTIONS)	

macs.$(O): $(WEB)/macs.c $(T_TYPE_H) $(TYPEDEFS_H) $(MAP_H)
	$(COMPILE) $(WEB)/macs.c		


# --- RATFOR (Implementing the Ratfor language for ftangle) ---
RATFOR = $(COMMON_HWEB) $(WEB)/t_codes.$(HWEB) $(WEB)/texts.$(HWEB)\
		$(WEB)/stacks.$(HWEB) $(WEB)/val.$(HWEB)\
		$(WEB)/macs.$(HWEB)\
		$(WEB)/trunc.$(HWEB)
RATFOR_WEB = $(WEB)/ratfor.web $(RATFOR)  

$(WEB)/ratfor.c: $(RATFOR_WEB)
	./ftangle $(WEB)/ratfor $(OPTIONS)

R_TYPE_WEB = $(WEB)/r_type.web $(OS_HWEB)  

$(WEB)/r_type.h: $(R_TYPE_WEB)
	./ftangle $(WEB)/r_type $(OPTIONS)

RATFOR_C = $(WEB)/ratfor.c $(T_TYPE_H) $(TYPEDEFS_H) $(MAP_H)

RATFORS = ratfor$(LOAD_RATFOR).$(O) $(RATFOR2)

ratfors:  $(RATFORS)

ratfor.$(O): $(RATFOR_C)
	$(COMPILE) $(PART1) $(WEB)/ratfor.c		

ratfor2.$(O): $(RATFOR_C)
	$(COMPILE) $(PART2) $(WEB)/ratfor.c		

RATFOR0_WEB = $(WEB)/ratfor0.web $(RATFOR)

$(WEB)/ratfor0.c: $(RATFOR0_WEB)
	./ftangle $(WEB)/ratfor0 $(OPTIONS)

ratfor0.$(O): $(WEB)/ratfor0.c $(T_TYPE_H)
	$(COMPILE) $(WEB)/ratfor0.c


# --- EVAL (Expression evaluation) ---
EVAL = $(COMMON_HWEB) $(WEB)/val.$(HWEB) $(WEB)/os.$(HWEB)\
		$(WEB)/t_codes.$(HWEB)
EVAL_WEB = $(WEB)/eval.web $(EVAL)  

$(WEB)/eval.c: $(EVAL_WEB)
	./ftangle $(WEB)/eval $(OPTIONS)	

E_TYPE_WEB = $(WEB)/e_type.web $(OS_HWEB) 

$(WEB)/e_type.h: $(E_TYPE_WEB)
	./ftangle $(WEB)/e_type $(OPTIONS)

eval.$(O): $(WEB)/eval.c $(E_TYPE_H) $(TYPEDEFS_H)
	$(COMPILE) $(WEB)/eval.c		


# --- FTANGLE (The ftangle processor) ---
FTANGLE = $(COMMON_HWEB) $(WEB)/macs.$(HWEB) $(WEB)/t_codes.$(HWEB)\
		$(WEB)/texts.$(HWEB) $(WEB)/stacks.$(HWEB)\
		$(WEB)/val.$(HWEB) $(WEB)/trunc.$(HWEB)
FTANGLE_WEB = $(WEB)/ftangle.web $(FTANGLE)  

$(WEB)/ftangle.c: $(FTANGLE_WEB)
	./ftangle $(WEB)/ftangle $(OPTIONS)

T_TYPE_WEB = $(WEB)/t_type.web $(OS_HWEB) 

$(WEB)/t_type.h: $(T_TYPE_WEB)
	./ftangle $(WEB)/t_type $(OPTIONS)

FTANGLE_C = $(WEB)/ftangle.c $(T_TYPE_H) $(TYPEDEFS_H) $(MAP_H)

FTANGLES = ftangle.$(O) $(FTANGLE2) $(FTANGLE3)

ftangles: $(FTANGLES)

ftangle.$(O): $(FTANGLE_C)
	$(COMPILE) $(PART1) $(WEB)/ftangle.c	

ftangle2.$(O): $(FTANGLE_C)
	$(COMPILE) $(PART2) $(WEB)/ftangle.c 	

ftangle3.$(O): $(FTANGLE_C)
	$(COMPILE) $(PART3) $(WEB)/ftangle.c

# In the following, ftangle0 is used when making with LOAD_RATFOR=0.
ftangle ftangle0 ftangle.exe: $(FTANGLES)\
		$(COMMONS) $(RATFORS) $(RESERVES) \
		eval.$(O) macs.$(O) style.$(O) $(TERMCAP0)
	$(LINK) ftangle$(OBJ) $(FTANGLE2) $(FTANGLE3)\
		common$(OBJ) $(COMMON2)\
		reserved$(OBJ) $(RESERVED2)\
		ratfor$(LOAD_RATFOR)$(OBJ) $(RATFOR2)\

## fweb 1.62

=== Web/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 #    (1) If you are a Unix user, do the following:
 
-#		cd web
+#		cd Web
 #		./configure [--prefix=path] [--exec-prefix=path]
 # (This generates the following files appropriate to your system:
 #	defaults.mk from defaults.mk.in;
@@ -137,7 +137,7 @@
 	$(TOUCH) $(WEB)/typedefs.hweb $(WEB)/*.h $(WEB)/*.c 
 
 # --- This entry makes both FWEB processors from the FWEB sources. ---
-both: ftangle fweave
+both: ftangle fweave idxmerge
 
 # --- The ``make bootstrap'' command assumes that the WEB files are there.
 # However, if you're just compiling you shouldn't need the WEB files.  In the
@@ -272,7 +272,8 @@
 $(WEB)/d_type.h: $(D_TYPE_WEB)
 	./ftangle $(WEB)/d_type $(OPTIONS)
 
-RESERVED_WEB = $(WEB)/reserved.web $(COMMON_HWEB)
+RESERVED_WEB = $(WEB)/reserved.web $(COMMON_HWEB)\
+	 $(WEB)/ccodes.$(HWEB) $(WEB)/xrefs.$(HWEB)
 
 $(WEB)/reserved.c: $(RESERVED_WEB)
 	./ftangle $(WEB)/reserved $(OPTIONS)
@@ -397,4 +398,3 @@
 	$(LINK) ftangle$(OBJ) $(FTANGLE2) $(FTANGLE3)\
 		common$(OBJ) $(COMMON2)\
 		reserved$(OBJ) $(RESERVED2)\
-		ratfor$(LOAD_RATFOR)$(OBJ) $(RATFOR2)\

=== debian/changelog ===
fweb (1.62-13) unstable; urgency=medium

  * Use dh_installtex and remove old postinst/postrm contents,
    build-depend on tex-common (Closes: #821829).
  * Fix homepage link.
  * Fixed download URL in copyright file not to include (old) filename.
  * Add a debian/watch file.
  * Bumped Standards-Version to 3.9.7, removed dependency on install-info.

 -- Yann Dirson <dirson@debian.org>  Sat, 04 Jun 2016 16:44:43 +0200

fweb (1.62-12) unstable; urgency=low

  * Acknowledge NMU.
  * Further fix fweb-doc extended description.
  * Fix texi.info for compatibility with makeinfo 5.1 (Closes: #712333):
    * drop apparently-nonsensical @def@ifhtml
    * don't include @if(tex|info) inside @macro defs
    * add @ifhtml implementation of conditional @macro defs
    * fix subsection nesting level where needed
  * Fix texi.info direntry specification (lintian).

 -- Yann Dirson <dirson@debian.org>  Mon, 19 Aug 2013 21:59:54 +0200

fweb (1.62-11.1) unstable; urgency=low

  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Description): Adjust first line (lintian).
    - (Homepage): Add.
    - (Recommends): Change to tetex-base to texlive (Closes: #601268).
    - (Standards-Version): Update to 3.9.2.
    - (Suggests): Remove tetex-base.
    Package fweb-doc
    - (Description): Extend first line (Lintian).
    - (Depends): Add ${misc:Depends}, add dpkg (>= 1.15.4) | install-info
    - (Section): Add doc.
  * debian/copyright
    - Remove obsolete FSF address. Correct GPL path.
  * debian/idxmerge.1
    - Fix hyphen-used-as-minus-sign (Lintian).
  * debian/patches
    - New. Convert embedded changes to upstream code into individual patches.
  * debian/rules
    - Replace obsolete dh_clean with dh_prep
    - (build-arch, build-indep): New (W: Lintian).
    - (clean): Adjust make call Web/Makefile (Lintian).
      Delete generated files: Web/fweave.mds Web/fweave.ndx
    - (docdir): Install docs to $package-doc.
    - (infodir): New variable.
    - (install): Don't create directory doc-base (lintian).
      Don't create empty info dir (Lintian).
    - (tmpdir): Install to $package, not tmp dir thus no longer needing
      dh_movefiles.
  * debian/source/format
    - New file.
  * fweb-doc.doc-base
    - (Section): Update from Apps/Programming to Programming.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 18 Nov 2011 21:05:43 +0200

fweb (1.62-11) unstable; urgency=low

  * Fixed Web/Makefile not to depend on the number of splitted info files
    (Closes: #203430).
  * Use dhbuildinfo.

 -- Yann Dirson <dirson@debian.org>  Wed, 27 Aug 2003 09:14:36 +0200

fweb (1.62-10) unstable; urgency=low

  * Rebuilt with current debhelper to conform to new /usr/doc policy
    (lintian).
  * Changed build options and support "noopt" instead of "debug" flag.
  * Bounced Standards-Version to 3.5.10.
  * Use debian/compat, build-dep on debhelper 3.4.4 or greater.
  * Improved description for fweb-doc (Closes: #128253).

 -- Yann Dirson <dirson@debian.org>  Sun,  1 Jun 2003 17:16:16 +0200

fweb (1.62-9) unstable; urgency=low

  * The "Fifth anniversary (nearly)" release !
  * Spelling in description (Closes: #12465).
  * Spelling in copyright (lintian).
  * Workaround in texi doc so that "makeinfo --html" can work - texi2html
    still does not (still many warnings).  Brought doc-base file from the
    attic.
  * DEB_BUILD_OPTIONS support.
  * Bounced Standards-Version to 3.5.6.
  * Modernized debian/rules, debhelper v3.
  * Split doc in its own package.

 -- Yann Dirson <dirson@debian.org>  Fri,  4 Jan 2002 23:20:22 +0100

fweb (1.62-8) unstable; urgency=medium

  * Reported NMU fix in source file (Closes: #103151).
  * Completed build-depend control field (Closes: #104386, #86158).
  * Added category info to texinfo doc.

 -- Yann Dirson <dirson@debian.org>  Wed,  1 Aug 2001 01:09:29 +0200

fweb (1.62-7.1) unstable; urgency=low
  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103151

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

fweb (1.62-7) unstable; urgency=low

  * Added Build-depends: texinfo (Closes: #84611).
  * Do not convert texi to HTML, conversion now fails.

 -- Yann Dirson <dirson@debian.org>  Sun,  4 Feb 2001 22:42:42 +0100

fweb (1.62-6) unstable; urgency=low

  * Build using "-g" as per policy.
  * Fix for infinite loop when using single-letter @ commands in
    verbatim mode (Closes: #52702).
  * Regenerate common.c to really have 1.62 as version number.

 -- Yann Dirson <dirson@debian.org>  Tue, 14 Dec 1999 22:03:20 +0100

fweb (1.62-5) unstable; urgency=low

  * Moved man, doc, info to /usr/share as per FHS.
  * Some debian/rules cleanups.
  * Bumped Standards-Version to 3.0.1.

 -- Yann Dirson <dirson@debian.org>  Sun, 24 Oct 1999 17:58:10 +0200

fweb (1.62-4) unstable; urgency=low

  * Applied patch from Hartmut Koptein to allow compilation with glibc
    2.1 (Closes: Bug#37302 -- Bug#29535 was closed but -4 had not yet been
    released).
  * Moved latex style file from /usr/lib/ to /usr/share/ (Closes:
    Bug#40439).
  * Fixed the version string saying "1.61" instead of "1.62".
  * Some debian/rules cleanup

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Jun 1999 21:32:30 +0200

fweb (1.62-3) frozen unstable; urgency=low

  * Check for texhash before trying to run it, as fweb doesn't depend
    on TeX (Fixes: Bug#28904).
  * Suppressed useless X- fields in debian/control.

 -- Yann Dirson <dirson@debian.org>  Thu, 12 Nov 1998 21:39:13 +0100

fweb (1.62-2) frozen unstable; urgency=low

  * Recompiled for ncurses 4.
  * Passed lintian 0.9.3.

 -- Yann Dirson <dirson@debian.org>  Tue,  3 Nov 1998 19:53:49 +0100

fweb (1.62-1) unstable; urgency=low

  * New upstream release (Fixes: Bug#26247).  Probably fixes Bug#25969
    and Bug#26122 as well, but I did not checked yet.


=== debian/control ===
Source: fweb
Section: devel
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 3.9.7
Build-depends: debhelper (>= 8), texinfo, libncurses5-dev, dh-buildinfo, tex-common
Homepage: http://w3.pppl.gov/~krommes/

Package: fweb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: texlive | c-compiler | fortran77-compiler | ratfor77
Suggests: c-compiler, fortran77-compiler, ratfor77, fweb-doc
Description: literate-programming tool for C/C++/Fortran/Ratfor
 Literate-programming allows the programmer to write a program's
 code and its code's documentation, with equal importance accorded
 to both. This helps producing a well-documented code.
 .
 FWEB has grown out of Knuth and Levy's CWEB; it is far more
 configurable and customizable than the original, uses LaTeX to
 typeset documented code, provides a very powerful macro processor...
 .
 Ratfor programmers may appreciate the builtin Ratfor-to-Fortran
 translator if they don't have the right compiler.
 .
 Other languages than those cited may be used, but without code
 pretty-printing.

Package: fweb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, fweb
Replaces: fweb (<= 1.62-8)
Description: Documentation for literate-programming tool Fweb
 Literate-programming allows the programmer to write a program's
 code and its code's documentation, with equal importance accorded
 to both. This helps producing a well-documented code.
 .
 This is the documentation for fweb in HTML, info, and texinfo
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.

package=fweb

# be paranoid...
export LC_ALL=C

# This has to be exported to make some magic below work.
export DH_OPTIONS


topdir = $(shell pwd)
tmpdir = ${topdir}/debian/$(package)
texdir = ${tmpdir}/usr/share/texmf/tex/latex/litprog
docdir = ${topdir}/debian/$(package)-doc/usr/share/doc/${package}
infodir = ${topdir}/debian/$(package)-doc/usr/share/info
mandir = ${tmpdir}/usr/share/man
htmldocdir= ${docdir}/html-info

INSTALLFLAGS =
CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALLFLAGS += -s
endif

installdoc=install -m 644
installbin=install -m 755 ${INSTALLFLAGS}

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	${MAKE} -C Web CFLAGS="${CFLAGS}" \
		tch_src both idxmerge ../Manual/fweb.info
	cd Manual && makeinfo --html fweb.texi
	touch build-stamp

configure-stamp:
	dh_testdir
	cd Web; ./configure --prefix=/usr
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# The problem is that Makefile includes defaults.mk which is a
	# ./configure generated file, but it does not exist when clean
	# is being run.
	touch Web/defaults.mk
	$(MAKE) -C Web distclean

	-rm -f Web/idxmerge Web/idxmerge.c Web/custom.h Web/config.h \
		Manual/fweb.info* Manual/fweb*.html
	rm -rf Manual/fweb/
	rm -f Web/fweave.mds Web/fweave.ndx
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep

	mkdir ${tmpdir}
	cd ${tmpdir} && mkdir -p usr/bin usr/share/man/man1
	mkdir -p $(infodir)

	install -d ${texdir} ${htmldocdir}

# upstream binaries
	${MAKE} -C Web CFLAGS=-O2 LDFLAGS=-s \
		INSTALL_PROGRAM='install -c ${INSTALLFLAGS}' \
		prefix=${tmpdir}/usr texdir=${texdir} \
		infodir=$(infodir) \
		mandir=${mandir}/man1 \
		install
# documentation
	${installdoc} Manual/fweb/* ${htmldocdir}/
	${installdoc} Manual/fweb.texi ${docdir}/
	${installdoc} debian/idxmerge.1 ${mandir}/man1/
	ln -s fweb.1.gz ${mandir}/man1/fweave.1.gz
	ln -s fweb.1.gz ${mandir}/man1/ftangle.1.gz

binary-indep: DH_OPTIONS=-i
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_buildinfo
	dh_installexamples
	dh_installinfo ${topdir}/Manual/fweb.info
	dh_installtex
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build-stamp
build-indep: build-stamp

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_buildinfo

	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=4
opts="passive" \
ftp://ftp.pppl.gov/pub/fweb/fweb-(\d.*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
